package com.sdtool.common.servlet.file;

public class WangUploadData {

    private String url;

    private String alt;

    private String href;

    public WangUploadData() {
    }

    private WangUploadData(Builder builder) {
        setUrl(builder.url);
        setAlt(builder.alt);
        setHref(builder.href);
    }

    public static Builder newBuilder() {
        return new Builder();
    }


    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getAlt() {
        return alt;
    }

    public void setAlt(String alt) {
        this.alt = alt;
    }

    public String getHref() {
        return href;
    }

    public void setHref(String href) {
        this.href = href;
    }

    public static final class Builder {
        private String url;
        private String alt;
        private String href;

        private Builder() {
        }

        public Builder url(String val) {
            url = val;
            return this;
        }

        public Builder alt(String val) {
            alt = val;
            return this;
        }

        public Builder href(String val) {
            href = val;
            return this;
        }

        public WangUploadData build() {
            return new WangUploadData(this);
        }
    }
}
